Subject: Re: cygwin x11 doesn't start after windows 10 upgrade
From: Steinar Bang <[email-masked]>
To: [email-masked]
Date: Sat, 13 Jun 2020 18:44:36 +0200
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

>>>>> Steinar Bang <[email-masked]>:
>>>>> Marco Atzeri via Cygwin <[email-masked]>:

>> can you reset the default

>> db_home:  /home/%U

>> close all processes and try X again ?
>> This should use /home/sbang as your new home and
>> we can see if it is a permission problem that is causing
>> issue to Xwin

> I changed the /etc/nsswitch.conf file, and rebooted to ensure all
> processes had been killed.  But cygwin still seemed to use the
> windows profile directory.  I still have HOME set to the profile
> directory.  I have all of my unix-y program setup files there (used by
> GNU emacs, git bash, and mingw utilities)

> But still no luck in launching XWin, either with xlaunch or from the
> command line.

> I will unset HOME and reboot and try again.

I renamed environment HOME to HOME_DISABLED (in advanced system
settings) and rebooted.

cmd.exe showed that HOME was gone.

However, in cygwin bash HOME was still set to the profile directory and
that was still used as the HOME dir.

startxwin still failed to start X.

Output from the cygwin console for this attempt (I have rebooted with
HOME in place so that I can send email using emacs and Gnus):

sbang@ITEM-S63383:~$ pwd
/cygdrive/d/Profiles/sbang
sbang@ITEM-S63383:~$ env | grep HOME
ATLAS_HOME=C:\Applications\Atlassian\atlassian-plugin-sdk-8.0.16
JAVA_HOME=C:\Program Files\Java\jdk1.8.0_241
HOME=/cygdrive/d/Profiles/sbang
HOME_DISABLED=d:\Profiles\sbang
HOMEDRIVE=d:
HOMEPATH=\Profiles\sbang
sbang@ITEM-S63383:~$ cat /etc/nsswitch.conf
# /etc/nsswitch.conf
#
#    This file is read once by the first process in a Cygwin process tree.
#    To pick up changes, restart all Cygwin processes.  For a description
#    see https://cygwin.com/cygwin-ug-net/ntsec.html#ntsec-mapping-nsswitch
#
# Defaults:
# passwd:   files db
# group:    files db
# db_enum:  cache builtin
db_home:  /home/%U
# db_home:  windows
# db_shell: /bin/bash
# db_gecos: <empty>
sbang@ITEM-S63383:~$ startwinx
-bash: startwinx: command not found
sbang@ITEM-S63383:~$ startxwin

Welcome to the XWin X Server
Vendor: The Cygwin/X Project
Release: 1.20.5.0
OS: CYGWIN_NT-10.0-18363 ITEM-S63383 3.1.5-340.x86_64 2020-06-01 08:59 UTC x86_64
OS: Windows 10  [Windows NT 10.0 build 18363] (Win64)
Package: version 1.20.5-3 built 2019-09-06

XWin was started with the following command line:

/usr/bin/XWin :0 -multiwindow -auth
 /cygdrive/d/Profiles/sbang/.serverauth.985

(II) xorg.conf is not supported
(II) See http://x.cygwin.com/docs/faq/cygwin-x-faq.html for more information
LoadPreferences: /cygdrive/d/Profiles/sbang/.XWinrc not found
LoadPreferences: Loading /etc/X11/system.XWinrc
LoadPreferences: Done parsing the configuration file...
winDetectSupportedEngines - RemoteSession: no
winDetectSupportedEngines - DirectDraw4 installed, allowing ShadowDDNL
winDetectSupportedEngines - Returning, supported engines 00000005
xinit: giving up
xinit: unable to connect to X server: Connection refused
xinit: server error
sbang@ITEM-S63383:~$

--
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple